Subject: Re: [PATCH] arm64: defconfig: Change CONFIG_AT803X_PHY from m to y

From: Oliver Graute <[email-masked]>
Date: Wed, 27 Nov 2019 13:46:38 +0100

On 27/11/19, Marc Gonzalez wrote:
> On 26/11/2019 15:54, Oliver Graute wrote:
> 
> > this patch broke my imx8qm nfs setup. With the generic phy driver my
> > board is booting fine. But with the AT803X_PHY=y enabled  I'm running
> > into the following phy issue. So on my side it looks inverse as on
> > yours. What is the best proposal to fix this?
> > 
> > [    5.550442] fec 5b040000.ethernet eth0: Link is Up - 1Gbps/Full - flow control off
> > [    5.573206] Sending DHCP requests ...... timed out!
> > [   95.339702] IP-Config: Retrying forever (NFS root)...
> > [   95.348873] Atheros 8035 ethernet 5b040000.ethernet-1:06: attached PHY driver [Atheros 8035 ethernet] (mii_bus:phy_addr=5b040000.ethernet-1:06, irq=POLL)
> > [   99.438443] fec 5b040000.ethernet eth0: Link is Up - 1Gbps/Full - flow control off
> > [   99.461206] Sending DHCP requests ...... timed out!
> 
> Which DTS are you using?

I'am using this DTS which I'am currently working on:

https://lists.infradead.org/pipermail/linux-arm-kernel/2019-October/689501.html
> 
> I bet one dollar that 6d4cd041f0af triggered a latent bug in the DTS.

So what should I fix in my device tree?

Best regards,

Oliver

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel